Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Get an Object

Request

Retrieves details of the specified object.

Note: Certain data elements (e.g. lookup table values of any table, including JSON lookup tables / pricing params) should NOT be retrieved with the general fetch commands (/fetch/{TypeCode}). Always use the "...manager.fetch" API endpoints where they are available. The same applies to update/delete/integrate commands.

Information: The following entities can intentionally be fetched by any user without any particular user role: CN, BR, CS, CLLIAM, CTAM, CTT, CTTAM, C, CAM, CXAM, DMDC, DMF, DMDL, DMDS, DM, DMM, DMR, DMT, DCRAM, FN, IE, JST, JLTVM, MPLIT, MPLAM, MLTVM, MRAM, MT, PYRAM, PGIM, PRAM, PLIM, P, PAM, PXAM, QAM, RBAAM, RRAM, RRS, RRSC, RBT, RBTAM, SC, SCN, SCNAM, SIM, SIAM, UG.

Security
basic or X-PriceFx-jwt
Path
TypeCodestringrequired

The object's type code. See the list of Type Codes.

idstringrequired

The ID of the object you want to retrieve details for.

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/{TypeCode}/{id}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

List Objects

Request

Retrieves all objects (including details) of the specified type. A filter can be applied.

Information: Certain data elements (e.g. lookup table values of any table, including JSON lookup tables / pricing params) should NOT be retrieved with the general fetch commands (/fetch/{TypeCode}). Always use the "...manager.fetch" API endpoints where they are available. The same applies to update/delete/integrate commands.

Information: The following entities can intentionally be fetched by any user without any particular user role: CN, BR, CS, CLLIAM, CTAM, CTT, CTTAM, C, CAM, CXAM, DMDC, DMF, DMDL, DMDS, DM, DMM, DMR, DMT, DCRAM, FN, IE, JST, JLTVM, MPLIT, MPLAM, MLTVM, MRAM, MT, PYRAM, PGIM, PRAM, PLIM, P, PAM, PXAM, QAM, RBAAM, RRAM, RRS, RRSC, RBT, RBTAM, SC, SCN, SCNAM, SIM, SIAM, UG.

You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Product's listProductsResponseExample_resultFields response example.

valueFields: returns just an array of values. Use this option if a better performance is required. See the List Product's listProductsResponseExample_valueFields response example.

Security
basic or X-PriceFx-jwt
Path
TypeCodestringrequired

The object's type code. See the list of Type Codes.

Body
endRowinteger

The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.

operationTypestring
startRowinteger

The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.

textMatchStylestring
Default "exact"
Enum"startsWith""exact""substring"
dataobject
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/{TypeCode}' \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 300,
    "oldValues": null,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact",
    "data": {
      "_constructor": "AdvancedCriteria",
      "operator": "and",
      "criteria": [
        {
          "fieldName": "expiryDate",
          "operator": "lessThan",
          "value": "2023-05-25"
        }
      ]
    }
  }'

Responses

A general response that contains data property with a content depending on returned objects (e.g., Product master table fields when calling the /fetch/P endpoint). Can be null.

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": null, "status": 0, "startRow": 0, "endRow": 0 } }

List Type Codes

Request

Returns the list of all Type Codes.

Security
basic or X-PriceFx-jwt
curl -i -X POST \
  -u <username>:<password> \
  https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch

Responses

Example response

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas